### Method

# Aravis Stream pop_buffer

since: 0.2.0

#### Declaration [src]

    ArvBuffer*
    arv_stream_pop_buffer (
      ArvStream* stream
    )

#### Description [src]

Pops a buffer from the output queue of `stream`. The retrieved buffer may contain an invalid image. Caller should check the buffer status before using it. This function blocks until a buffer is available.

This method is thread safe.

Available since: 0.2.0

#### Return value

Type: `ArvBuffer`

A `ArvBuffer`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.